<template>
  <div class="dash--board--contents type2">
    <!-- CORE -->
    <div>
      <Core12x12
        :config="coreConfig"
        :interval-time="props.intervalTime"
      />
    </div>
    <!-- USER -->
    <div> 
      <User12x12
        :config="userConfig"
        :interval-time="props.intervalTime"
      />
    </div>
    <!-- RAN -->
    <div> 
      <Ran24x12
        :config="raneConfig"
        :interval-time="props.intervalTime"
      />
    </div>
  </div>
</template>

<script setup>
  /***********************
   *     import
   ************************/
  import { useI18n } from "vue-i18n"
  import Core12x12 from '@/components/home/dashboard/layout02/core/layout02Core.vue'
  import User12x12 from '@/components/home/dashboard/layout02/user/layout02User.vue'
  import Ran24x12 from '@/components/home/dashboard/layout02/ran/layout02Ran.vue'

  /***********************
   *     plugins inject
   ************************/
   const { $toast, $log, $dayjs, $eventBus } = useNuxtApp()

  // props
  const props = defineProps({
    intervalTime: {
      type: Number,
      default: 5000
    }
  })

  // 참조가능 데이터 설정
  defineExpose({})

  // 발신 이벤트 선언
  const emit = defineEmits([""]);
  const i18n = useI18n();


  /***********************
   *     data & created
   ************************/
  const widgets = computed(() => useAuthStore().getWidgets);
  const coreConfig = computed(() => widgets.value?.find(w => w.widgetGrp == 'CORE'));
  const userConfig = computed(() => widgets.value?.find(w => w.widgetGrp == 'USER'));
  const raneConfig = computed(() => widgets.value?.find(w => w.widgetGrp == 'RANE'));
   
  /***********************
   *     Methods
   ************************/
</script>

